Subject: Re: [bitcoin-dev] No Order Mnemonic

From: Bram Cohen <[email-masked]>
Date: Thu, 7 Jul 2022 10:36:26 -0700

On Thu, Jul 7, 2022 at 7:43 AM Anton Shevchenko via bitcoin-dev <
[email-masked]> wrote:

> I made a python implementation for a different mnemonic encoding. The
> encoding requires user to remember words but not the order of those words.
> The code is open (MIT license) at https://github.com/sancoder/noomnem

Thanks Anton. There's an interesting mathematical question of whether it's
possible to make a code like this which always uses the BIP-39 words for
the same key as part of its encoding, basically adding a few words as error
correction in case the order is lost or confused. If the BIP-39 contains a
duplicate you can add an extra word.